Subject: bug#8355: 24.0.50; Boxes in mode-line and scrolling

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Dec 2020 20:25:00 +0200

> From: Antoine Levitt <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 11 Dec 2020 13:25:16 +0100
> 
> So, on the tex file from arxiv I posted
> (https://arxiv.org/e-print/2003.00726), I tried the following: from
> emacs -Q with
> 
> (setq scroll-conservatively 100000000)
> (setq scroll-preserve-screen-position 'stay)
> 
> go to a random line, C-l, C-v, M-v, see if the cursor moved. I did a
> macro with that, and repeating it I'm able to get eg from line 368 to
> line 305. Most lines are 18px, some 19. My screen is about 30 lines
> tall, so the fact this phenomenon appears for ~65 contiguous lines (ie
> more than two screenfuls) suggests that it's more than just bad luck.
> For reproducibility, I'm using stock GTK emacs -Q on a 1366x768 screen
> with Monospace Regular 11 font in fullscreen.

Thanks, please try the latest master branch.  I hope I improved the
situation some more.